atmt
====

CLI to create Chat bots using [Automaton](https://abhivijay96.gitbooks.io/automaton/content/quickstart.html)

[![Version](https://img.shields.io/npm/v/atmt.svg)](https://npmjs.org/package/atmt)
[![License](https://img.shields.io/npm/l/atmt.svg)](https://github.com/abhivijay96/atmt/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
* [VSCode extension ](#vs-code-extension)
* [Quickstart](#quickstart)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g atmt
$ atmt COMMAND
running command...
$ atmt (-v|--version|version)
atmt/3.0.0 win32-x64 node-v9.4.0
$ atmt --help [COMMAND]
USAGE
  $ atmt COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [atmt build](#atmt-build)
* [atmt help [COMMAND]](#atmt-help-command)
* [atmt init](#atmt-init)
* [atmt rebuild](#atmt-rebuild)

## atmt build

initial scaffolding from bot.atmt.json

```
USAGE
  $ atmt build

OPTIONS
  -d, --dialogflow  use dialogflow

EXAMPLE
  $ atmt build
```

## atmt help [COMMAND]

display help for atmt

```
USAGE
  $ atmt help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v1.2.1/src/commands/help.ts)_

## atmt init

create bot.atmt.json and functions.json

```
USAGE
  $ atmt init

OPTIONS
  -n, --name=name  name of the bot

EXAMPLE
  $ atmt init --name bot_name
  creating bot.atmt.json
```

## atmt rebuild

apply changes in bot.atmt.json, preserve function implementations in *Impl.js files

```
USAGE
  $ atmt rebuild

EXAMPLE
  $ atmt rebuild
```
<!-- commandsstop -->
* [atmt init]
* [atmt build]
* [atmt rebuild]

# VSCode extension 
[Get VSCode extension here to start writing automaton schema with intellisense](https://marketplace.visualstudio.com/items?itemName=abhivijay96.automaton-schema-intellisense)

# Quickstart
[Outlook meeting scheduler bot using Microsoft Graph APIs written using Automaton](https://abhivijay96.gitbooks.io/automaton/content/quickstart.html)

## atmt init -n [BotName]

describe the command here
create bot.atmt.json and functions.json
```

USAGE
  $ atmt init

OPTIONS
  -n, --name=name  name of the bot

EXAMPLE
  $ atmt init --name bot_name
  creating bot.atmt.json
```

## atmt build
initial scaffolding from bot.atmt.json
```

USAGE
  $ atmt build

OPTIONS
  -d, --dialogflow  use dialogflow

EXAMPLE
  $ atmt build
```

## atmt rebuild
apply changes in bot.atmt.json, preserve function implementations in *Impl.js files
```

USAGE
  $ atmt rebuild

EXAMPLE
  $ atmt rebuild
```
