"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const fs = require("fs");
const path = require("path");
class init extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(init);
        const name = flags.name || 'automatonBot';
        if (!name.match(/^[a-z0-9]+$/i))
            this.error('Name must be alphanumeric');
        else {
            let botDir = path.join(process.cwd(), name);
            this.log('Creating bot directory at ' + botDir);
            fs.mkdirSync(botDir);
            this.log('Creating bot.atmt.json in ' + name);
            fs.writeFileSync(path.join(botDir, 'bot.atmt.json'), '');
            this.log('To get started');
            this.log('open ' + botDir + ' in vscode');
            this.log('Install https://marketplace.visualstudio.com/items?itemName=abhivijay96.automaton-schema-intellisense');
            this.log('Docs at https://abhivijay96.gitbooks.io/automaton/content/quickstart.html');
            this.log('use "atmt build" after writing bot.atmt.json to do the initial scaffolding');
            this.log('"atmt rebuild" to edit microbots witout deleting functions already implemented in impl.js');
        }
    }
}
init.description = 'create bot.atmt.json and functions.json';
init.examples = [
    `$ atmt init --name bot_name
creating bot.atmt.json
`,
];
init.flags = {
    name: command_1.flags.string({ char: 'n', description: 'name of the bot' })
};
init.args = [];
exports.default = init;
